Subject: 23.2; Crash when starting as root

From: Eli Barzilay <[email-masked]>
Date: Thu, 24 Feb 2011 06:21:43 -0500

I get a crash when I start Emacs as the root user, with some glib
error saying:

  GLib-GIO:ERROR:gdbusconnection.c:2270:initable_init: assertion
  failed: (connection->initialization_error == NULL)

I did that with `emacs -q' as well as `-Q' so I'm not including the
(irrelevant) information about my emacs setup below.  However, I ran
in with strace so hopefully that can help.  The last few lines of the
trace are included at the bottom (looks like the server rejects big
emails).

In GNU Emacs 23.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.21.4)
 of 2010-07-08 on x86-10.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.10904000
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fno-optimize-sibling-calls''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: POSIX
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US
  value of $XMODIFIERS: @im=none
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

stat("/var/cache/libx11/compose/", 0x7fff97668bc0) = -1 ENOENT (No such file or directory)
getuid()                                = 0
getgid()                                = 0
open("/usr/share/X11/locale/iso8859-1/Compose", O_RDONLY) = 6
fstat(6, {st_mode=S_IFREG|0644, st_size=20458, ...}) = 0
fstat(6, {st_mode=S_IFREG|0644, st_size=20458, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fbdb2dbc000
read(6, "#\n# ISO 8859-1 (Latin1) Compose "..., 4096) = 4096
read(6, ": \"\\252\"\tordfeminine\n<Multi_key>"..., 4096) = 4096
read(6, "\t\t: \"\\304\"\tAdiaeresis\n<Multi_key"..., 4096) = 4096
read(6, "\t\t: \"\\355\"\tiacute\n<Multi_key> <a"..., 4096) = 4096
read(6, "\tYacute\n<Multi_key> <acute> <Y>\t"..., 4096) = 4074
read(6, "", 4096)                       = 0
close(6)                                = 0
munmap(0x7fbdb2dbc000, 4096)            = 0
open("/usr/share/locale/en_US/LC_MESSAGES/glib20.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/glib20.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x3d13233140}, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x3d13233140}, 8) = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 6
fcntl(6, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
fcntl(6, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(6, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
connect(6, {sa_family=AF_FILE, path=@"/tmp/dbus-pNbBGkiToG"}, 23) = 0
geteuid()                               = 0
getegid()                               = 0
geteuid()                               = 0
getegid()                               = 0
poll([{fd=6, events=POLLOUT}], 1, -1)   = 1 ([{fd=6, revents=POLLOUT}])
sendmsg(6, {msg_name(0)=NULL, msg_iov(1)=[{"\0", 1}], msg_controllen=32, {cmsg_len=28, cmsg_level=SOL_SOCKET, cmsg_type=SCM_CREDENTIALS{pid=9176, uid=0, gid=0}}, msg_flags=0}, MSG_NOSIGNAL) = 1
poll([{fd=6, events=POLLOUT}], 1, -1)   = 1 ([{fd=6, revents=POLLOUT}])
sendto(6, "AUTH\r\n", 6, MSG_NOSIGNAL, NULL, 0) = 6
poll([{fd=6, events=POLLIN}], 1, -1)    = 1 ([{fd=6, revents=POLLIN}])
recvfrom(6, "REJECTED EXTERNAL DBUS_COOKIE_SH"..., 4096, 0, NULL, NULL) = 46
poll([{fd=6, events=POLLOUT}], 1, -1)   = 1 ([{fd=6, revents=POLLOUT}])
sendto(6, "AUTH EXTERNAL 30\r\n", 18, MSG_NOSIGNAL, NULL, 0) = 18
poll([{fd=6, events=POLLIN}], 1, -1)    = 1 ([{fd=6, revents=POLLIN}])
recvfrom(6, "OK 4c6b8ce8847b5a62e9f0a71a00000"..., 4096, 0, NULL, NULL) = 37
poll([{fd=6, events=POLLOUT}], 1, -1)   = 1 ([{fd=6, revents=POLLOUT}])
sendto(6, "NEGOTIATE_UNIX_FD\r\n", 19, MSG_NOSIGNAL, NULL, 0) = 19
poll([{fd=6, events=POLLIN}], 1, -1)    = 1 ([{fd=6, revents=POLLIN}])
recvfrom(6, "AGREE_UNIX_FD\r\n", 4096, 0, NULL, NULL) = 15
poll([{fd=6, events=POLLOUT}], 1, -1)   = 1 ([{fd=6, revents=POLLOUT}])
sendto(6, "BEGIN\r\n", 7, MSG_NOSIGNAL, NULL, 0) = 7
pipe2([7, 8], O_CLOEXEC)                = 0
sched_get_priority_min(SCHED_OTHER)     = 0
sched_get_priority_max(SCHED_OTHER)     = 0
mmap(NULL, 8392704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = 0x7fbdb25bc000
mprotect(0x7fbdb25bc000, 4096, PROT_NONE) = 0
clone(child_stack=0x7fbdb2dbbdb0, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0x7fbdb2dbc9d0, tls=0x7fbdb2dbc700, child_tidptr=0x7fbdb2dbc9d0) = 9177
sched_yield()                           = 0
sched_yield()                           = 0
sched_yield()                           = 0
sched_yield()                           = 0
pipe2([9, 10], O_CLOEXEC)               = 0
poll([{fd=9, events=POLLIN}], 1, 0)     = 0 (Timeout)
close(9)                                = 0
close(10)                               = 0
open("/usr/share/locale/en_US/LC_MESSAGES/GConf2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/GConf2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "**\nGLib-GIO:ERROR:gdbusconnectio"..., 117**
GLib-GIO:ERROR:gdbusconnection.c:2270:initable_init: assertion failed: (connection->initialization_error == NULL)
) = 117
kill(9176, SIGABRT)                     = 0
--- SIGABRT (Aborted) @ 0 (0) ---
rt_sigaction(SIGABRT, {SIG_DFL, [], SA_RESTORER, 0x3d13e0eeb0}, {0x4e1710, [], SA_RESTORER, 0x3d13e0eeb0}, 8) = 0
getpgrp()                               = 9176
ioctl(0, TIOCGPGRP, [9175])             = 0
rt_sigprocmask(SIG_BLOCK, [WINCH], [ABRT], 8) = 0
rt_sigprocmask(SIG_BLOCK, [IO], [ABRT WINCH], 8) = 0
rt_sigaction(SIGIO, {SIG_IGN, [], SA_RESTORER, 0x3d13e0eeb0}, {0x4e3830, [], SA_RESTORER, 0x3d13e0eeb0}, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [ABRT], [ABRT WINCH IO], 8) = 0
kill(9176, SIGABRT)                     = 0
--- SIGABRT (Aborted) @ 0 (0) ---
+++ killed by SIGABRT (core dumped) +++

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!